<?php

/* ALLANJPA SENIOR PROFISSIONAL */

if($_GET["cadastro"] == true) {
$nome = $_GET["cadastro_nome"];
$login = strtolower($_GET["cadastro_login"]);
$senha = strtolower($_GET["cadastro_senha"]);
$resenha = strtolower($_GET["cadastro_resenha"]);
$email = $_GET["cadastro_email"];
$remail = $_GET["cadastro_remail"];
$id = $_GET["cadastro_id"];
$pergunta = $_GET["cadastro_pergunta"];
$resposta = $_GET["cadastro_resposta"];
$codigo = $_GET["cadastro_codigo"];
$recodigo = $_GET["cadastro_recodigo"];
if(empty($nome) || empty($login) || empty($senha) || empty($resenha) || empty($email) || empty($remail) || empty($id) || empty($pergunta) || empty($resposta) || empty($recodigo)) {
	echo $bbcode->bbcode('<div class="w_note">Preencha todos os campos.</div>');
}
elseif(isset($_SESSION["logado"]) == 1) {
	echo $bbcode->bbcode('<div class="w_note">Necessario estar deslogado para registrar-se.</div>');
}
elseif(mssql_num_rows(mssql_query("select * from memb_info where memb___id='".$login."'")) > 0) {
	echo $bbcode->bbcode('<div class="w_note">Login em uso, tente novamente com outro.</div>');
}
elseif(strlen($login) < 4) {
	echo $bbcode->bbcode('<div class="w_note">Login deve conter minimos 4 caracteres.</div>');
}
elseif($senha != $resenha) {
	echo $bbcode->bbcode('<div class="w_note">As senhas divergem.</div>');
}
elseif(strlen($senha) < 4) {
	echo $bbcode->bbcode('<div class="w_note">A senha deve conter minimos 4 caracteres.</div>');
}
elseif($email != $remail) {
	echo $bbcode->bbcode('<div class="w_note">Os emails digitados divergem.</div>');
}
elseif(mssql_num_rows(mssql_query("select * from memb_info where mail_addr='".$email."'")) > 0) {
	echo $bbcode->bbcode('<div class="w_note">E-mail em uso, tente novamente com outro.</div>');
}
elseif(strlen($id) < 8) {
	echo $bbcode->bbcode('<div class="w_note">Player ID deve conter exatamente 8 numeros.</div>');
}
elseif($codigo != $recodigo) {
	echo $bbcode->bbcode('<div class="w_note">O Codigo de seguranca digitado, esta incorreto.</div>');
}
else{
	mssql_query("SET IDENTITY_INSERT MEMB_INFO ON");
	mssql_query("INSERT INTO MEMB_INFO (memb_guid,memb___id,memb__pwd,memb_name,sno__numb,post_code,addr_info,addr_deta,tel__numb,phon_numb,mail_addr,fpas_ques,fpas_answ,job__code,appl_days,modi_days,out__days,true_days,mail_chek,bloc_code,ctl1_code) VALUES ('1','$login','$senha','$nome', '1','1234','11111','1234','12343','1321','$email','$pergunta','$resposta!','1',getdate(),getdate(),getdate(),getdate(),'1','0','1')");
	if(table_moeda != 'MEMB_INFO') {
		mssql_query("INSERT INTO ".table_moeda." (".colum_login.") values ('$login')");
	}
	if(table_moeda2 != 'MEMB_INFO') {
		mssql_query("INSERT INTO ".table_moeda2." (".colum_login2.") values ('$login')");
	}
	if(VI_CURR_INFO == false) {
	mssql_query("INSERT INTO VI_CURR_INFO (ends_days,chek_code,used_time,memb___id,memb_name,memb_guid,sno__numb,Bill_Section,Bill_value,Bill_Hour,Surplus_Point,Surplus_Minute,Increase_Days )  VALUES ('2005','1',1234,'$login','$nome',1,'7','6','3','6','6','2003-11-23 10:36:00','0' )");
	}
	if(colum_itens == 1200) {
		$f = str_pad($f, 1200*2, "F");
	}
	else{
		$f = str_pad($f, 1920*2, "F");
	}
	mssql_query("");
	echo $bbcode->bbcode('<div class="i_note">Voce foi registrado com sucesso<br> Anote e guarde seus dados para acessar o jogo. </div>');
}
}

?>